Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.configurableparser
Class TernaryOperator

    java.lang.Object
      com.singularsys.jep.Operator
          com.singularsys.jep.configurableparser.TernaryOperator

All Implemented Interfaces:
  java.io.Serializable

    public class TernaryOperator

extends Operator

A class representing a ternary operator, for example x?y:z.

Author:
  Richard Morris
See Also:
  Serialized Form

Nested Class Summary
`static class` | `TernaryOperator.RhsTernaryOperator`

Field Summary

Fields inherited from class com.singularsys.jep.Operator
`ASSOCIATIVE, BINARY, COMMUTATIVE, COMPOSITE, EQUIVALENCE, flags, LEFT, NARY, NO_ARGS, NOT_IN_PARSER, PREFIX, REFLEXIVE, RIGHT, SELF_INVERSE, SUFFIX, SYMMETRIC, TERNARY, TRANSITIVE, UNARY, USE_BINDING_FOR_PRINT`

Constructor Summary
`TernaryOperator(java.lang.String name, java.lang.String lhsSymbol, java.lang.String rhsSymbol, PostfixMathCommandI pfmc, int flags)`
`TernaryOperator(java.lang.String name, java.lang.String lhsSymbol, java.lang.String rhsSymbol, PostfixMathCommandI pfmc, int flags, int precedence)`

Method Summary
`TernaryOperator.RhsTernaryOperator` | `getRhsOperator()`
`java.lang.String` | `getRhsSymbol()`
`void` | `setPrecedence(int i)` Set the precedence of the operator.

Methods inherited from class com.singularsys.jep.Operator
`getBinaryInverseOp, getBinding, getFlags, getInverseOp, getKey, getName, getPFMC, getPrecedence, getRootOp, getSymbol, isAssociative, isBinary, isCommutative, isComposite, isDistributiveOver, isEquivalence, isLeftBinding, isNary, isPrefix, isReflexive, isRightBinding, isSelfInverse, isSuffix, isSymmetric, isTernary, isTransitive, isUnary, notInParser, numArgs, setBinaryInverseOp, setDistributiveOver, setInverseOp, setKey, setPFMC, setRootOp, setSymbol, toFullString, toString, useBindingForPrint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TernaryOperator

    public TernaryOperator(java.lang.String name,
                           java.lang.String lhsSymbol,
                           java.lang.String rhsSymbol,
                           PostfixMathCommandI pfmc,
                           int flags)

### TernaryOperator

    public TernaryOperator(java.lang.String name,
                           java.lang.String lhsSymbol,
                           java.lang.String rhsSymbol,
                           PostfixMathCommandI pfmc,
                           int flags,
                           int precedence)

Method Detail

### getRhsSymbol

    public java.lang.String getRhsSymbol()

### getRhsOperator

    public TernaryOperator.RhsTernaryOperator getRhsOperator()

### setPrecedence

    public void setPrecedence(int i)

  Description copied from class: `Operator`
  Set the precedence of the operator. Lower values correspond to tighter binding, that is * gives a lower value than + and 1+2*3 is 1+(2*3).

  Overrides:
    `setPrecedence` in class `Operator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep